TESTING/MATGEN/zlarnd.f(3)

NAME
TESTING/MATGEN/zlarnd.f

SYNOPSIS

  Functions/Subroutines
complex *16 function zlarnd (idist, iseed)
ZLARND

Function/Subroutine Documentation

  complex*16 function zlarnd (integer idist, integer, dimension( 4 ) iseed)

ZLARND

Purpose:

    !>
    !> ZLARND returns a random complex number from a uniform or normal
    !> distribution.
    !>

Parameters
    IDIST

    !>          IDIST is INTEGER
    !>          Specifies the distribution of the random numbers:
    !>          = 1:  real and imaginary parts each uniform (0,1)
    !>          = 2:  real and imaginary parts each uniform (-1,1)
    !>          = 3:  real and imaginary parts each normal (0,1)
    !>          = 4:  uniformly distributed on the disc abs(z) <= 1
    !>          = 5:  uniformly distributed on the circle abs(z) = 1
    !>

    ISEED

    !>          ISEED is INTEGER array, dimension (4)
    !>          On entry, the seed of the random number generator; the array
    !>          elements must be between 0 and 4095, and ISEED(4) must be
    !>          odd.
    !>          On exit, the seed is updated.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>  This routine calls the auxiliary routine DLARAN to generate a random
    !>  real number from a uniform (0,1) distribution. The Box-Muller method
    !>  is used to transform numbers from a uniform to a normal distribution.
    !>

Definition at line 74 of file zlarnd.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.